## dods.util
Class dasTools

    java.lang.Object
      dods.util.dasTools

public class dasTools
extends Object

Constructor Summary
`dasTools()`

Method Summary
`static String` `fancyTypeName(BaseType bt)`
`static boolean` `nameInDDS(String name, DDS dds)`
`static boolean` `nameInKillFile(String name)` This code could use a real `kill-file' some day - about the same time that the rest of the server gets an `rc' file...
`static boolean` `nameIsGlobal(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### dasTools

    public dasTools()

Method Detail

### nameInKillFile

    public static boolean nameInKillFile(String name)

  This code could use a real `kill-file' some day - about the same time that the rest of the server gets an `rc' file... For the present just return false (There is no killing going on here...) The C++ implementation looks like this: static bool name_in_kill_file(const string &name) { static Regex dim(".*_dim_[0-9]*", 1); // HDF `dimension' attributes. return dim.match(name.c_str(), name.length()) != -1; }

### nameInDDS

    public static boolean nameInDDS(String name,
                                    DDS dds)

### nameIsGlobal

    public static boolean nameIsGlobal(String name)

### fancyTypeName

    public static String fancyTypeName(BaseType bt)